Bug 198484 - Upstream content mode support into open source from WebKitAdditions
Summary: Upstream content mode support into open source from WebKitAdditions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-03 07:57 PDT by Wenson Hsieh
Modified: 2019-06-05 11:23 PDT (History)
7 users (show)

See Also:


Attachments
Patch (73.15 KB, patch)
2019-06-03 11:13 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Fix open source iOS build (75.04 KB, patch)
2019-06-03 12:33 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Try to fix API tests on open source iOS (75.61 KB, patch)
2019-06-03 15:02 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.58 MB, application/zip)
2019-06-03 17:03 PDT, Build Bot
no flags Details
Replace useModernCompatibilityMode with contentMode (87.47 KB, patch)
2019-06-04 08:09 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Replace useModernCompatibilityMode with contentMode (87.43 KB, patch)
2019-06-04 08:43 PDT, Wenson Hsieh
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.50 MB, application/zip)
2019-06-04 10:46 PDT, Build Bot
no flags Details
Try to fix the media controls test (89.94 KB, patch)
2019-06-05 09:17 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2019-06-03 07:57:17 PDT
SSIA
Comment 1 Radar WebKit Bug Importer 2019-06-03 07:58:30 PDT
<rdar://problem/51355671>
Comment 2 Wenson Hsieh 2019-06-03 11:13:47 PDT Comment hidden (obsolete)
Comment 3 Andy Estes 2019-06-03 11:19:08 PDT
Comment on attachment 371198 [details]
Patch

rs=me once EWS is green.
Comment 4 Wenson Hsieh 2019-06-03 12:33:27 PDT Comment hidden (obsolete)
Comment 5 Wenson Hsieh 2019-06-03 15:02:41 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2019-06-03 17:03:50 PDT
Comment on attachment 371217 [details]
Try to fix API tests on open source iOS

Attachment 371217 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12367021

New failing tests:
platform/ipad/fast/viewport/empty-meta.html
platform/ipad/fast/viewport/viewport-unchanged-by-minimum-effective-width-if-not-ignore-meta-viewport.html
platform/ipad/media/modern-media-controls/media-documents/media-document-audio-ios-sizing.html
media/modern-media-controls/media-controller/ios/media-controller-ios-layout-traits-modern-compatibility-mode.html
Comment 7 Build Bot 2019-06-03 17:03:52 PDT Comment hidden (obsolete)
Comment 8 Wenson Hsieh 2019-06-03 17:14:54 PDT
(In reply to Build Bot from comment #6)
> Comment on attachment 371217 [details]
> Try to fix API tests on open source iOS
> 
> Attachment 371217 [details] did not pass ios-sim-ews (ios-simulator-wk2):
> Output: https://webkit-queues.webkit.org/results/12367021
> 
> New failing tests:
> platform/ipad/fast/viewport/empty-meta.html
> platform/ipad/fast/viewport/viewport-unchanged-by-minimum-effective-width-if-
> not-ignore-meta-viewport.html
> platform/ipad/media/modern-media-controls/media-documents/media-document-
> audio-ios-sizing.html
> media/modern-media-controls/media-controller/ios/media-controller-ios-layout-
> traits-modern-compatibility-mode.html

Some of these look like they can be rebaselined for iPad (due to our desktop-class viewport adaptations, such as shrink-to-fit and ignoring the meta viewport tag by default).

The media controls tests might require a bit more digging.
Comment 9 Wenson Hsieh 2019-06-04 08:09:01 PDT Comment hidden (obsolete)
Comment 10 Wenson Hsieh 2019-06-04 08:43:40 PDT Comment hidden (obsolete)
Comment 11 Build Bot 2019-06-04 10:46:41 PDT
Comment on attachment 371286 [details]
Replace useModernCompatibilityMode with contentMode

Attachment 371286 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12374065

New failing tests:
media/modern-media-controls/media-controller/ios/media-controller-ios-layout-traits-modern-compatibility-mode.html
Comment 12 Build Bot 2019-06-04 10:46:43 PDT Comment hidden (obsolete)
Comment 13 Wenson Hsieh 2019-06-05 08:40:27 PDT
(In reply to Build Bot from comment #11)
> Comment on attachment 371286 [details]
> Replace useModernCompatibilityMode with contentMode
> 
> Attachment 371286 [details] did not pass ios-sim-ews (ios-simulator-wk2):
> Output: https://webkit-queues.webkit.org/results/12374065
> 
> New failing tests:
> media/modern-media-controls/media-controller/ios/media-controller-ios-layout-
> traits-modern-compatibility-mode.html

It looks like this caught an issue where the macOS flavor of modern media controls are used on open source iOS builds, after the code to support desktop content mode has been upstreamed into open source. In particular:

        // The window.navigator.platform !== "MacIntel" is strictly used for the test infrastructure since touch events are off for open-source bots.
        let traits = GestureRecognizer.SupportsTouches || window.navigator.platform !== "MacIntel" ? LayoutTraits.iOS : LayoutTraits.macOS;

...since SupportsTouches is false, yet navigator.platform is "MacIntel", LayoutTraits.macOS is used instead of LayoutTraits.iOS.
Comment 14 Wenson Hsieh 2019-06-05 09:17:58 PDT
Created attachment 371406 [details]
Try to fix the media controls test
Comment 15 WebKit Commit Bot 2019-06-05 11:23:13 PDT
Comment on attachment 371406 [details]
Try to fix the media controls test

Clearing flags on attachment: 371406

Committed r246118: <https://trac.webkit.org/changeset/246118>
Comment 16 WebKit Commit Bot 2019-06-05 11:23:14 PDT
All reviewed patches have been landed.  Closing bug.